CVE-2002-0885
CVSS7.5
发布时间 :2002-10-04 00:00:00
修订时间 :2008-09-05 16:29:12
NMCO    

[原文]Multiple buffer overflows in in.rarpd (ARP server) on Solaris, and possibly other operating systems including Caldera UnixWare and Open UNIX, allow remote attackers to execute arbitrary code, possibly via the functions (1) syserr and (2) error.


[CNNVD]Sun Solaris In.Rarpd多个远程及本地缓冲区溢出漏洞(CNNVD-200210-127)

        
        Solaris是一款SUN公司分发和维护的商业性质的操作系统,其中rarpd是一款中小型网络的反向arp解析协议守护程序。
        in.rarpd对用户提交的输入缺少正确充分的检查,可导致远程或者本地攻击者进行权限提升攻击。
        根据报告,in.rarpd存在3个可利用的远程缓冲区溢出,2个本地缓冲区溢出和2个格式化串漏洞。
        在error和syserr函数中包含2个通用的syslog调用,其中没有检查格式字符串内容,可导致攻击者用于权限提升:
        static void
        syserr(s)
        char *s;
        {
         char buf[256];
         (void) sprintf(buf, "临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时关闭rarpd服务。
        厂商补丁:
        Sun
        ---
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://sunsolve.sun.com/security
: ", s, strerror(errno));
         (void) fprintf(stderr, ": \n", cmdname, buf);
         syslog(LOG_ERR, buf);
         exit(1);
        }
        /* VARARGS1 */
        static void
        error(char *fmt, ...)
        {
         char buf[256];
         va_list ap;
         va_start(ap, fmt);
         (void) vsprintf(buf, fmt, ap);
         va_end(ap);
         (void) fprintf(stderr, ": \n", cmdname, buf);
         syslog(LOG_ERR, buf);
         exit(1);
        }
        Sun Microsystems声称攻击者不能利用这些漏洞进行攻击,因为传递给处理的程序不能由外部提供。而且由于ARP包没有IP头和路由,所以攻击者必须在本地子网进行利用。不过仍旧建议管理员关闭或者限制对此服务的访问。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:caldera:unixware:7.1.1
cpe:/o:sun:solaris:8.0
cpe:/o:sun:solaris:7.0
cpe:/o:caldera:openunix:8.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0885
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0885
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200210-127
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/4791
(VENDOR_ADVISORY)  BID  4791
http://www.iss.net/security_center/static/9150.php
(VENDOR_ADVISORY)  XF  solaris-inrarpd-code-execution(9150)
http://online.securityfocus.com/archive/1/273584
(UNKNOWN)  BUGTRAQ  20020522 [DER Adv #7] - Multiple Vulnerabilities in solaris in.rarpd
http://archives.neohapsis.com/archives/vulnwatch/2002-q2/0074.html
(UNKNOWN)  VULNWATCH  20020521 [VulnWatch] [DER Adv #7] - Multiple Vulnerabilities in solaris in.rarpd
ftp://ftp.caldera.com/pub/updates/OpenUNIX/CSSA-2002-SCO.29/CSSA-2002-SCO.29.txt
(UNKNOWN)  MISC  ftp://ftp.caldera.com/pub/updates/OpenUNIX/CSSA-2002-SCO.29/CSSA-2002-SCO.29.txt

- 漏洞信息

Sun Solaris In.Rarpd多个远程及本地缓冲区溢出漏洞
高危 边界条件错误
2002-10-04 00:00:00 2005-10-20 00:00:00
远程  
        
        Solaris是一款SUN公司分发和维护的商业性质的操作系统,其中rarpd是一款中小型网络的反向arp解析协议守护程序。
        in.rarpd对用户提交的输入缺少正确充分的检查,可导致远程或者本地攻击者进行权限提升攻击。
        根据报告,in.rarpd存在3个可利用的远程缓冲区溢出,2个本地缓冲区溢出和2个格式化串漏洞。
        在error和syserr函数中包含2个通用的syslog调用,其中没有检查格式字符串内容,可导致攻击者用于权限提升:
        static void
        syserr(s)
        char *s;
        {
         char buf[256];
         (void) sprintf(buf, "临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时关闭rarpd服务。
        厂商补丁:
        Sun
        ---
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://sunsolve.sun.com/security
: ", s, strerror(errno));
         (void) fprintf(stderr, ": \n", cmdname, buf);
         syslog(LOG_ERR, buf);
         exit(1);
        }
        /* VARARGS1 */
        static void
        error(char *fmt, ...)
        {
         char buf[256];
         va_list ap;
         va_start(ap, fmt);
         (void) vsprintf(buf, fmt, ap);
         va_end(ap);
         (void) fprintf(stderr, ": \n", cmdname, buf);
         syslog(LOG_ERR, buf);
         exit(1);
        }
        Sun Microsystems声称攻击者不能利用这些漏洞进行攻击,因为传递给处理的程序不能由外部提供。而且由于ARP包没有IP头和路由,所以攻击者必须在本地子网进行利用。不过仍旧建议管理员关闭或者限制对此服务的访问。
        

- 公告与补丁

        

- 漏洞信息

8708
Multiple Vendor in.rarpd Buffer Overflow Arbitrary Code Execution
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-05-22 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站